CREATE FUNCTION [dbo].[FN_SPOT_GetNewDocItemID] (
	@p_DOC_YEAR AS VARCHAR(7),
    @p_MAT_NO AS VARCHAR(12),
    @p_DOC_NO AS VARCHAR(15)
)
RETURNS INT
AS
BEGIN
	DECLARE
    	@d_OUT_DOC_ITEM AS INT,
        @d_DOC_ITEM AS INT;
        
  	EXEC @d_OUT_DOC_ITEM=dbo.SP_SPOT_ICS_GetNewItemNoFiTrans @p_DOC_YEAR,@p_MAT_NO,@p_DOC_NO, @d_DOC_ITEM OUTPUT
    
    RETURN @d_OUT_DOC_ITEM;
END

